﻿init python:
    credits = ('Story', 'sleepy'), ('Backgrounds, Coding, & GUI', 'Sasquatchii'), ('Music', 'BoxCat Games'), ('Sounds by', 'mshahen,' "{space=15}" 'jaredgibb,' "{space=15}" 'sverga' "{space=15}" 'dobroide' "{space=15}" 'morgantj' "{space=15}" 'corsica-s' "{space=15}" 'smcameron' "{space=15}" 'tran5ient' "{space=15}" 'otisjames' "{space=15}" 'renatalmar' "{space=15}" '& dinsfire'), ('Voice Acting', 'Voice actor #58UMPU0 on Voicebunny')
    credits_s = "{size=80}Credits\n\n"
    c1 = ''
    for c in credits:
        if not c1==c[0]:
            credits_s += "\n{size=30}" + c[0] + "\n"
        credits_s += "{size=40}" + c[1] + "\n"
        c1=c[0]
    credits_s += "\n{size=30}Engine\n{size=40}Ren'py\n6.99.4.467" #Don't forget to set this to your Ren'py version

label splashscreen:
    scene black 
    with Pause(1)

    show splash with dissolve
    with Pause(2)
    
    scene black with dissolve
    with Pause(.5)

    return

# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

init:
    $ flashbulb = Fade(0.2, 0.0, 0.8, color='#fff')

    #    image cred = Text(credits_s, font="myfont.ttf", text_align=0.5) #use this if you want to use special fonts
    image cred = Text(credits_s, text_align=0.5)
    image theend = Text("{size=70}The end", text_align=0.5)
    image thanks = Text("{size=70}Thanks for playing!", text_align=0.5)
    
    $ Positioncenter = Position(xpos=0.6, ypos=0.8)
    $ Positiondinner = Position(xpos=0.71, ypos=0.74)
    $ Positiondinner1 = Position(xpos=0.68, ypos=0.71)
    $ Positiondinner2 = Position(xpos=0.64, ypos=0.7)
    $ Positionground = Position(xpos=0.59, ypos=0.74)
    $ Positioncrush = Position(xpos=0.5, ypos=0.57)
    
    $ blackout = Fade(0.6, 0.0, 0.9, color='#2A3635')
    
    $ flashbulb2 = Fade(0.1, 0.0, 0.1, color='#c6e6dd') 
    
    $ flashbulb3 = Fade(0.1, 0.0, 0.1, color='#3A4446') 
    
    $ esubtitle = Character(None,
                            what_layout="subtitle",
                            what_xalign=0.5,                           
                            what_text_align=0.5,
                            window_background=None,
                            window_yminimum=77,
                            window_xfill=False,
                            window_xalign=0.5

                            )
    
init python:
    define.move_transitions("move", 1.5)
    
##############################################################################

# Define BG Images.

image bg 1 = "images/backgrounds/openingallclear.png"
image bg 2 = "images/backgrounds/openingslice.png"
image bg bread = "images/backgrounds/bread.png"
image splash = "images/backgrounds/tbkload.png"
image bg carry = "images/backgrounds/carrybread.png"
image bg toasted = "images/backgrounds/youretoasted.png"
image bg darkness = "images/backgrounds/darkness.png"
image bg facebread = "images/backgrounds/facebread.png"
image bg sadbread = "images/backgrounds/loafysad.png"
image bg breadfrown = "images/backgrounds/breadsad.png"
image bg crybaby = "images/backgrounds/crybabybread.png"
image bg houseflood = "images/backgrounds/houseflood.png"
image bg houseflood2 = "images/backgrounds/houseflood2.png"
image bg houseflood3 = "images/backgrounds/houseflood3.png"
image bg houseflood4 = "images/backgrounds/houseflood4.png"
image bg respect1 = "images/backgrounds/loafyrespectable1.png"
image bg respect2 = "images/backgrounds/loafyrespectable2.png"
image bg respect3 = "images/backgrounds/loafyrespectable3.png"
image bg respect4 = "images/backgrounds/loafyrespectable4.png"
image bg respect5 = "images/backgrounds/loafyrespectable5.png"
image bg respect6 = "images/backgrounds/loafyrespectable6.png"
image bg respect7 = "images/backgrounds/loafyrespectable7.png"
image bg respect8 = "images/backgrounds/loafyrespectable8.png"
image bg fancy = "images/backgrounds/fancyrestaurant.png"
image bg chomp = "images/backgrounds/loafychomp.png"
image bg blackhole = "images/backgrounds/blackhole.png"
image bg park = "images/backgrounds/skateparkbg.png"
image bg levelground = "images/backgrounds/levelground.png"
image bg opendoor = "images/backgrounds/opendoor.png"
image bg opendoor2 = "images/backgrounds/opendoor2.png"
image bg opendoor3 = "images/backgrounds/opendoor3.png"
image bg outdoors = "images/backgrounds/outdoors.png"
image bg hotdogcart = "images/backgrounds/hotdogcart.png"
image bg hotdogcartpanic = "images/backgrounds/hotdogcartpanic.png"
image bg breadcrush = "images/backgrounds/breadcrush.png"
image bg hotdogcartconfused = "images/backgrounds/hotdogcartconfused.png"
image bg hotdogcartrealization = "images/backgrounds/hotdogcartrealization.png"
image bg hotdogcartsimba = "images/backgrounds/hotdogcartsimba.png"
image bg hotdogcarttogepi = "images/backgrounds/hotdogcarttogepi.png"
image bg forest = "images/backgrounds/forest.png"
image bg forestcottage = "images/backgrounds/forestcottage.png"
image bg forestfishgo = "images/backgrounds/forestfishgo.png"
image bg forestalone = "images/backgrounds/forestalone.png"
image bg bowlingmishap = "images/backgrounds/bowlingmishap.png"
image bg sunset = "images/backgrounds/bgsunset.png"
image bg yellow = "images/backgrounds/yellow.png"



##############################################################################

##############################################################################

# Define Sprite Images.

image carry = "images/sprites/carrybread2.png"
image toaster = "images/sprites/toasterunplugged.png"
image skatebg = "images/sprites/skateboardkid.png"
image restaurantbg = "images/sprites/fancyrestaurant.png"
image skater = "images/sprites/skatekid.png"
image couple = "images/sprites/couple.png"
image couple1 = "images/sprites/couple1.png"
image couple2 = "images/sprites/couple2.png"
image couple3 = "images/sprites/couple3.png"
image bread = "images/sprites/bread.png"
image footandshoe = "images/sprites/footandshoe.png"


##############################################################################



# Declare characters used by this game.
define n = Character('', color="#c8ffc8")



# The game starts here.
label start:
    
    $ _game_menu_screen = 'pause_menu'
    
    stop music fadeout 1.1
    
    play sound "sounds/185449__mshahen__butter-toast-2x.mp3"     
                
    scene bg 1 with flashbulb2
    
    pause (.4)
    play voice "voice/1.mp3"
    esubtitle "You feel a burning pain in your side, like someone just {vspace=15}stabbed you with a knife."
    stop voice
    play voice "voice/2.mp3"
    esubtitle "It turns out that, apparently, someone DID just stab you {vspace=15}with a knife."
    stop voice
    show bg bread
    stop voice
    play voice "voice/3.mp3"    
    esubtitle "It seems that you're a piece of bread."
    stop voice
    play voice "voice/4.mp3"
    esubtitle "You're completely fine with this."
    stop voice
    show bg bread with flashbulb
    pause (.4)
    play voice "voice/5.mp3"    
    esubtitle "But just then, a thought hits you:"    
    stop voice
    play voice "voice/6.mp3"    
    play music "music/BoxCat_Games_-_05_-_Battle_Boss.mp3" 
    esubtitle "BREAD IS NOT SUPPOSED TO BE AWARE THAT IT'S BREAD {vspace=15}BECAUSE IT'S  BREAD."
    stop voice
    play voice "voice/7.mp3"   
    esubtitle "This sure is a crummy situation."
    stop voice
    play voice "voice/8.mp3"
    esubtitle "What will you do?"
    
label loop_start:
    stop voice
    menu:
        "Hop away, off to freedom I go.":
             jump freedoms

        "Realize that I was taken away {vspace=5}from my entire family, my LOAF.":
             jump faceit
             
        "Accept my fate.":
             jump fate  

    label freedoms:
    stop voice
    stop music fadeout 4
    play voice "voice/9.mp3"
    esubtitle "You go. Independence for bread must and will be {vspace=15}established, and it all starts with you."
    
    scene bg levelground
    stop voice
    show bread at Positionground
    with moveintop
    play voice "voice/10.mp3"
    esubtitle "Starting off your grand escape with a poorly {vspace=15}executed backflip, you make it onto level ground."                         
    stop voice
    menu:
        "Go left.":
             jump left

        "Go right.":
             jump right
             
label right:
    scene bg 1
    show carry at center
    with moveinbottom
    pause (1)
    hide carry
    with moveoutbottom
    show toasted with moveinright
    stop voice
    play voice "voice/11.mp3"
    esubtitle "It appears that the odds are not in your favor, {vspace=12}as your torturer recaptures you in their gigantic grip and {vspace=12}sticks you back in the toaster where you belong."
    stop voice
    play voice "voice/12.mp3"
    esubtitle "Nice job there, Texas."
    
    label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg 1 #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    
    return
    
label left:
    stop voice
    scene bg opendoor
    stop voice
    play voice "voice/13.mp3"
    esubtitle "Carefully choosing to hop to the left  in hopes of escaping, {vspace=15}you find yourself facing an open door."
    stop voice
    play voice "voice/14.mp3"
    esubtitle "You feel small compared to the large opening in the {vspace=12}wall that leads to your freedom, but at the same time {vspace=12}excited by all the new opportunities you now have."
    scene bg opendoor2
    pause (.4)
    scene bg opendoor3
    pause (.4)
    scene bg outdoors
    stop voice
    play voice "voice/15.mp3"
    play music "music/16726__sverga__birds-in-spring.mp3" fadein 1
    esubtitle "With a few more hops, you make it to the outside world. {vspace=15}Where will you go first?"
    stop voice
    menu:
        "Screw this man, I'm going back inside.":
             jump ohno

        "What about that swanky looking {vspace=5}hot dog cart?":
             jump hotdogcrisis

label ohno:
    scene bg1
    stop voice
    stop music
    play voice "voice/16.mp3"
    esubtitle "Suit yourself."
    show carry at center
    with moveinbottom
    pause (.5)
    hide carry
    with moveoutbottom
    show toasted with moveinright
    stop voice
    play voice "voice/17.mp3"
    esubtitle "The giant person grabs you from off the floor and places {vspace=15}you back in their intended place for you: the toaster."
    stop voice
    play voice "voice/18.mp3"
    esubtitle "That's it."
    stop voice
    play voice "voice/19.mp3"    
    esubtitle "What were you expecting?"
    stop voice
    play voice "voice/20.mp3"
    esubtitle "Some dragon to come swooping through the house, or {vspace=15}maybe King James the ||| would just ride up into the {vspace=15}kitchen on his horse to deliver you a quest or something?"
    stop voice
    play voice "voice/21.mp3"    
    esubtitle "Nope. Sorry. This is  the path you've created for yourself, bud."
    
    label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg 1 #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    
    return
    
label hotdogcrisis:
    scene hotdogcart
    stop voice
    stop music fadeout 2
    play voice "voice/22.mp3"  
    esubtitle "{size=-7}You make your way to the swankiest hot dog cart in town, operated by an {vspace=10}even equally swanky looking person who looks to be bent over and {vspace=10}asleep, their chin resting on the palm of their hand, snoozing face inches {vspace=10}close to falling on the scolding hot surface of the cart.{/size}"
    stop voice
    menu:
        "Excuse me, ma'am? WAKE UP YA {vspace=5}ABOUT TO BURN ALIVE.":
             jump mamisintrouble

        "Excuse me, sir? WAKE UP YA ABOUT {vspace=5}TO BURN ALIVE.":
             jump sirisintrouble

        "This person looks to be androgynous, {vspace=5}so I just scream to warn them.":
             jump screamtowarn

        "I don't say anything. LET THEM {vspace=5}BURN. AHAHAHAHAHAH.":
             jump revengecrush
             


label mamisintrouble:
    scene bg hotdogcartconfused
    stop voice
    play voice "voice/23.mp3"    
    esubtitle "She automatically stands up straight, her eyes wide open {vspace=15}and a confused expression to match."   
    scene bg hotdogcartrealization
    stop voice
    play voice "voice/24.mp3"    
    esubtitle "She quickly realizes the situation she was in and that {vspace=15}you just saved her from a hell of a medical bill."
    scene bg hotdogcartsimba
    stop voice
    play voice "voice/25.mp3"    
    esubtitle "She picks you up and holds you in the air, certainly not {vspace=15}unlike how that monkey picked up Simba in The Lion King."
    scene bg hotdogcarttogepi
    stop voice
    play voice "voice/26.mp3"  
    esubtitle "She praises you endlessly for saving her face, mentioning {vspace=15}somewhere in the word vomit that her name is Alexandria."
    stop voice
    play voice "voice/27sowhatnow.mp3"  
    esubtitle "So, what now?"
    stop voice
    menu:
        "{size=-5}Alexandria and I now have a wonderful {vspace=5}relationship & I work with her at the hot dog cart.{/size}":
             jump alexhotdogcartwoman

        "{size=-5}I leave abruptly after this experience. {vspace=5}I don't even talk to this person anymore.{/size}":
             jump wildthing
             
        "{size=-5}Alexandria & I became great friends and attend {vspace=5}bowling tournaments every weekend as a team, {vspace=5}and, you know, other friend things like that.{/size}":
             jump bowlingfriends



label sirisintrouble:
    scene bg hotdogcartconfused
    stop voice
    play voice "voice/28.mp3"  
    esubtitle "He automatically stands up straight, his eyes wide and {vspace=15}a confused expression to match." 
    scene bg hotdogcartrealization
    stop voice
    play voice "voice/29.mp3"  
    esubtitle "He quickly realizes the situation he was in and that {vspace=15}you just saved him from a hell of a medical bill."
    scene bg hotdogcartsimba
    stop voice
    play voice "voice/30.mp3"
    esubtitle "He picks you up and holds you up in the air, certainly not {vspace=15}unlike how that monkey picked up Simba in The Lion King." 
    scene bg hotdogcarttogepi
    stop voice
    play voice "voice/31.mp3"
    esubtitle "He praises you endlessly for saving his face, mentioning {vspace=15}somewhere in the word vomit that his name is Alexander."
    stop voice
    play voice "voice/27sowhatnow.mp3"  
    esubtitle "So, what now?"
    
    menu:
        "{size=-5}Alexander & I now have a wonderful {vspace=5}relationship & I work with him at the hot dog cart.{/size}":
             jump alexhotdogcartman

        "{size=-5}I leave abruptly after this experience. {vspace=5}I don't even talk to this person anymore.{/size}":
             jump wildthing
             
        "{size=-5}Alexander & I became great friends and attend{vspace=5} bowling tournaments every weekend as a team, {vspace=5}and, you know, other friend things like that.{/size}":
             jump bowlingfriends



label screamtowarn:
    scene bg hotdogcartconfused
    stop voice
    play voice "voice/169628__dinsfire__male-voice-screaming-loudly.wav"
    ""
    play voice "voice/32.mp3" 
    esubtitle "They automatically stand up straight, their eyes wide {vspace=15}and a confused expression to match." 
    scene bg hotdogcartrealization
    stop voice
    play voice "voice/33.mp3" 
    esubtitle "They quickly realize the situation they were in and {vspace=15}that you just saved them from a hell of a medical bill."
    scene bg hotdogcartsimba
    stop voice
    play voice "voice/34.mp3" 
    esubtitle "They pick you up and hold you up in the air, certainly not {vspace=15}unlike how that monkey picked up Simba in The Lion King." 
    scene bg hotdogcarttogepi
    stop voice
    play voice "voice/35.mp3" 
    esubtitle "They praise you endlessly for saving their face, mentioning {vspace=15}somewhere in the word vomit that their name is Alex."
    stop voice
    play voice "voice/27sowhatnow.mp3"  
    esubtitle "So, what now?"
    
    menu:
        "{size=-5}Alex and I now have a wonderful relationship {vspace=5}and I work with them at the hot dog cart.{/size}":
             jump alexhotdogcart

        "{size=-5}I leave abruptly after this experience. {vspace=5}I don't even talk to this person anymore.{/size}":
             jump wildthing
             
        "{size=-5}Alex and I became great friends and attend {vspace=5}bowling tournaments every weekend as a team, {vspace=5}and, you know, other friend things like that.{/size}":
             jump bowlingfriends
             
label alexhotdogcart:
    stop voice
    play music "music/BoxCat_Games_-_06_-_Young_Love.mp3" fadein .5
    play voice "voice/36alex.mp3"
    esubtitle "You get to know Alex better and eventually ask them {vspace=15}to go on a date, to which they reply yes."
    stop voice
    play voice "voice/40alex.mp3"
    esubtitle "{size=-3}You two hit it off famously and you end up working with them {vspace=15}at the hot dog cart, ending this small adventure on a good note.{/size}"
    stop voice
    play voice "voice/42.mp3"
    esubtitle "Give yourself a pat on the back, my friend, you've earned it."
    
    label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg yellow #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    
    return
    
label alexhotdogcartman:
    stop voice
    play music "music/BoxCat_Games_-_06_-_Young_Love.mp3" fadein .5
    play voice "voice/37alexander.mp3"
    esubtitle "You get to know Alexander better and eventually ask him {vspace=15}to go on a date, to which he replies yes."
    stop voice
    play voice "voice/39alexander.mp3"
    esubtitle "{size=-3}You two hit it off famously and you end up working with him {vspace=15}at the hot dog cart, ending this small adventure on a good note.{/size}"
    stop voice
    play voice "voice/42.mp3"
    esubtitle "Give yourself a pat on the back, my friend, you've earned it."
    
    label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg yellow #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    
    return
    
label alexhotdogcartwoman:
    stop voice
    play music "music/BoxCat_Games_-_06_-_Young_Love.mp3" fadein .5
    play voice "voice/38alexandria.mp3"
    esubtitle "You get to know Alexandria better and eventually ask her {vspace=15}to go on a date, to which she replies yes."
    stop voice
    play voice "voice/41alexandria.mp3"
    esubtitle "{size=-3}You two hit it off famously and you end up working with her {vspace=15}at the hot dog cart, ending this small adventure on a good note.{/size}"
    stop voice
    play voice "voice/42.mp3"
    esubtitle "Give yourself a pat on the back, my friend, you've earned it."
    
    label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg yellow #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    
    return
    
label wildthing:
    scene bg forest 
    play music "music/54699__dobroide__20080528-forest-jet.flac" fadein 3
    stop voice
    play voice "voice/43.mp3"
    esubtitle "You gave a plentiful amount of 'you're welcomes' before {vspace=15}taking your leave, making your way towards the forest."
    stop voice
    play voice "voice/44.mp3"
    esubtitle "The wide range of trees intrigues you, and you conclude {vspace=9}that you can make your home there."
    scene bg forestcottage
    stop voice
    play voice "voice/45.mp3"
    esubtitle "{size=-3}Fast-foward a few years and you've built a slice-of-bread sized {vspace=9}cottage beside a river, where you use your body as bait for fish {vspace=9}and then wrestle them so you can later cook them and eat them.{/size}"
    scene bg forestfishgo
    stop voice
    play sound "sounds/190085__tran5ient__splash9.wav"
    play voice "voice/46.mp3"
    esubtitle "Of course, you never actually do eat them {vspace=15}because.. well.. you know.. you're a slice of bread."
    scene bg forestalone
    stop voice
    play voice "voice/47.mp3"
    esubtitle "But it's the thought that counts."
    stop voice
    play voice "voice/48.mp3"
    esubtitle "Man, life in the wilderness sure is intense, but you {vspace=15}wouldn't have it any other way."
    
label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg 1 #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    
    return
    
label bowlingfriends:
    scene bg bowlingmishap
    stop voice
    play music "music/58383__morgantj__bowling.mp3"
    play voice "voice/49.mp3"
    esubtitle "Unfortunately, years later one of these bowling trips {vspace=15}ended in you messing up a throw, it shooting up into the {vspace=15}air, and landing on you, crushing you to death instantly."    
    stop voice
    play voice "voice/50.mp3"
    esubtitle "But at least you died doing something you love with {vspace=15}one of your best friends, right?"
    
label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg yellow #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    
    return
             
label revengecrush:
    scene bg hotdogcartpanic
    stop voice
    play voice "voice/51.mp3"
    esubtitle "Their eyes open slowly,  and their peaceful expression {vspace=15}turns into one of panic."
    stop voice
    play voice "voice/52.mp3"
    esubtitle "I mean, their face was just about to get burned by a {vspace=15}hot dog cart."
    scene bg breadcrush
    show footandshoe at Positioncrush
    with moveintop
    play sound "sounds/215162__otisjames__thud.wav"
    stop voice
    pause (.3)
    play voice "voice/53.mp3"
    esubtitle "They look at you accusingly for not warning them and {vspace=15}crush you under their shoe, throwing a 'hmph' in {vspace=15}there for emphasis."
    stop voice
    play voice "voice/54.mp3"
    esubtitle "You couldn't help but realize that you sort of deserved {vspace=15}it though."
    stop voice
    play voice "voice/55.mp3"
    esubtitle "I guess being a jerk just doesn't work out sometimes."
    
    label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg yellow #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    
    return

    label faceit:
    stop music fadeout 4
    stop voice
    play voice "voice/56.mp3"
    esubtitle "You just can't bare it!"
    stop voice
    play voice "voice/57.mp3"
    esubtitle "If you actually had a face, you'd be sadly whispering {vspace=15}'Mama,' to your loaf and crying yourself a river."
    
    stop voice
    menu:
        "Grow a face":
             jump facebread

label facebread:
    play sound "sounds/264981__renatalmar__sfx-magic.wav"
    show bg facebread with flashbulb
    stop voice
    play voice "voice/58.mp3"
    esubtitle "Wow. You actually did it!"
    show bg sadbread
    stop voice
    queue voice "voice/59.mp3"
    esubtitle "You successfully whisper a soft 'Mama,' into your loaf's {vspace=15}imaginary ear and begin to weep."
    stop sound fadeout 1
    stop voice 
    play voice "voice/60.mp3"
    scene bg breadfrown
    esubtitle "You finish weeping soon after." 
    stop voice
    menu:
        "Cry some more.":
             jump crybaby  
             
        "Eat myself out of existence because {vspace=5}I am so sad about my loaf...":
             jump fatty     
             
label crybaby:
    stop voice
    play voice "voice/61.mp3"
    esubtitle "You're about to start bawling your eyes out when {vspace=15}a thought occurs:"
    stop voice
    play voice "voice/62.mp3"
    esubtitle "You could just stop being a big baby and suck it up!"
    stop voice
    play voice "voice/63.mp3"
    esubtitle "Are you going to go through with this idea?"
    stop voice
    menu:
        "NO, HOW COULD I?":
             jump waterworld  
             
        "You know what, I think I will!":
             jump plumbertoast  
             
label waterworld:
    stop voice
    play voice "voice/64.mp3"
    esubtitle "{size=-20}If that's how you feel about it...{/size}"
    show bg crybaby
    stop voice
    play voice "voice/65.mp3"
    esubtitle "{size=-5}And so you cry. You cry and you cry and you cry and you cry, and {vspace=15}then you stop crying for a few seconds to catch your breath, {vspace=15}and then you cry some more.{/size}"
    show bg houseflood
    stop voice
    play music "sounds/34360__corsica-s__water-trickle-1.mp3" fadein 3
    play voice "voice/66.mp3"
    esubtitle "You cry SO MUCH that you end up flooding the house that {vspace=15}you're currently inside of. At least, that's where it starts."
    show bg houseflood2
    pause .25
    show bg houseflood3
    pause .25
    show bg houseflood4 with flashbulb3
    stop voice
    play voice "voice/67.mp3"
    esubtitle "Completely ignoring the fact that the house is flooded, you {vspace=15}continue to cry until eventually ALL OF EARTH HAS FLOODED."
    stop sound fadeout 3
    stop voice fadeout 3
    stop voice
    play voice "voice/68.mp3"
    esubtitle "I am sorry to say that due to you being such a pussy, you've {vspace=15}flooded the entire planet with your tears."
    stop voice
    play voice "voice/69.mp3"
    esubtitle "There are no survivors.{vspace=1}"
    stop voice
    play voice "voice/70.mp3"
    esubtitle "Also, you're soggy.{vspace=1}"
    stop sound fadeout 1
    
    label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg darkness #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    
    return

label plumbertoast:
    show bg facebread
    play music "music/BoxCat_Games_-_16_-_Love_Of_My_Life.mp3" fadein 1.5
    stop voice
    play voice "voice/71.mp3"
    esubtitle "All the power to ya!"
    scene bg respect1
    pause .2
    scene bg respect2
    pause .2
    scene bg respect1
    pause .2
    scene bg respect2
    pause .2
    scene bg respect3
    pause .2
    scene bg respect4
    pause .2
    scene bg respect3
    pause .2
    scene bg respect4
    pause .2
    scene bg respect5
    pause .2
    scene bg respect6
    pause .2
    scene bg respect5
    pause .2
    scene bg respect6
    pause .2
    scene bg respect7
    pause .2
    scene bg respect8
    pause .2
    scene bg respect7
    pause .2
    scene bg respect8
    pause .2
    scene bg respect7
    pause .2
    scene bg respect8
    pause .2
    stop voice
    play voice "voice/72.mp3"
    esubtitle "You end up becoming a respectable citizen in society, moving {vspace=15}in with a suitable (human) partner, getting a rescue pitbull {vspace=15}named Rowzy, and landing a job at a plumbing company." 
    scene bg park 
    show skatekid at Positioncenter
    with moveinleft
    stop voice
    play voice "voice/73.mp3"
    esubtitle "Sure, those stupid skater kids always call you Mario, but {vspace=15}are they eating out at fancy restaurants once every week?" 
    scene bg fancy
    show couple at Positiondinner
    stop voice
    play voice "voice/74.mp3"
    esubtitle "Possibly? BUT THAT MEANS ABSOLUTELY NOTHING TO {vspace=15}YOU, AS YOU WENT FROM A PIECE OF BREAD TO A {vspace=15}WONDERFUL SPOUSE AND A SUCCESSFUL PLUMBER." 
    hide couple
    show couple2 at Positiondinner2
    with Pause(1.6)
    hide couple2 with dissolve
    stop voice
    play voice "voice/75.mp3"
    esubtitle "And that's all that matters." 
    
    label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg sunset #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks

    return
    
label fatty:
    scene bg chomp
    play sound "sounds/50801__smcameron__wumpus-dines.mp3"
    stop voice
    play voice "voice/76.mp3"
    esubtitle "You consume your entire body and newly acquired face {vspace=15}all in one big chomp."
    scene bg blackhole
    play music "music/BoxCat_Games_-_26_-_Defeat.mp3" fadein 1.5
    stop voice
    play voice "voice/77.mp3"
    esubtitle "Unfortunately this entire break in physics somehow is able to {vspace=15}create a black hole, eventually sucking up all of the universe."
    stop voice
    play voice "voice/78.mp3"
    esubtitle "That includes your loaf."
    stop voice
    play voice "voice/79.mp3"
    esubtitle "Are you happy with yourself?"
    stop voice
    play voice "voice/80.mp3"
    esubtitle "{size=-8}You were a piece of bread that was lucky enough to be given life by some {vspace=8}unknown god, but instead of becoming famous or going on bread {vspace=8}adventures, you cried about your loaf and then ate all of the universe.{/size}"
    stop voice
    play voice "voice/81.mp3"
    esubtitle "I just want you to know that your loaf wouldn't want this. "
    label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg darkness #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    
    return
                 

    label fate:
    stop voice
    play voice "voice/82.mp3"
    esubtitle "That's depressing, that you'd just throw your life away {vspace=15}like that."
    show bg 1
    show carry at center
    with moveinbottom
    stop voice
    play voice "voice/83.mp3"
    esubtitle "Nonetheless, the person that has taken you away from {vspace=15}your loving loaf picks you up and carries you to the toaster." 
    hide carry
    with easeoutbottom
    show toaster
    with easeinright
    stop voice
    play voice "voice/84.mp3"
    esubtitle "But alas, it isn't yet plugged in!"
    stop voice
    play voice "voice/85.mp3"
    esubtitle "You realize this diversion might just give you enough {vspace=15}time to run away and save yourself." 
    stop voice
    play voice "voice/86.mp3"
    esubtitle "How do you feel about this?"
    stop voice        
    menu:
        "Terrible! I wish this person would {vspace=8} hurry up and burn me alive already.":
            jump toasty
            
        "I'm feeling some type of way.":
            jump chancemaybe        
        
label toasty:
    stop music fadeout 1
    stop voice
    play voice "voice/87.mp3"
    esubtitle "Your final thought as the person takes their time plugging {vspace=15}in the toaster is of the worst possible pun in existence..."
    hide toaster
    show bg toasted
    stop voice
    play voice "voice/88.mp3"
    esubtitle "That you're... toast."
    show bg darkness with blackout
    play sound "sounds/219512__jarredgibb__toaster-04.mp3"   
    stop voice
    play voice "voice/89.mp3"
    esubtitle "The life slowly fades from the eyes that you don't have {vspace=15}(because you're bread) as you're burned inside this {vspace=15}eternal pastry hell."

    
    label credits:
    $ credits_speed = 11 #scrolling speed in seconds
    scene bg darkness #replace this with a fancy background
    with dissolve
    stop voice
    stop sound
    show theend:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide theend
    show cred at Move((0.5, 3.0), (0.5, 0.0), credits_speed, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(credits_speed)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(1)
    hide thanks
    

    return

    
label chancemaybe:
    stop voice
    play voice "voice/90.mp3"
    esubtitle "You're feeling a bit regretful in being the only self-aware {vspace=15}slice of bread on the planet, and just throwing it all away."
    hide toaster
    show bg bread
    stop voice
    play voice "voice/91.mp3"
    esubtitle "{size=-5}Lucky for you, the person that picked you up has now set you down {vspace=15}and is fumbling around with the toaster plug, giving you {vspace=15}another chance.{/size}"
    stop voice
    play voice "voice/92.mp3"
    esubtitle "Would you like to try and make something of your life?"
    stop voice        
    menu:
        "Eh, sure, fine.":
            
             jump loop_start           

        "Nah.":
            
             jump toasty
            
    return
